Quick Links: Download Gideros Studio | Gideros Documentation | Gideros Development Center | Gideros community chat | DONATE
Gideros 2022.1 Released - Page 8 — Gideros Forum

Gideros 2022.1 Released

1234568

Comments

  • hgy29hgy29 Maintainer
    I don’t really know but that indeed look like an error
  • Something went wrong...?

    Same variable shown twice in outline. And if comment out print call, I get a message: "variable 'prev' is never used" :/
  • hgy29hgy29 Maintainer
    maybe it is just the outliner which doesn't handle a specific luau construct ? I'll check that
  • hgy29hgy29 Maintainer
    I just released 2022.1.3:

    Improvements

    [luau] Update to latest
    [luabinding] Support luau vectors in math
    [luabinding] add Sprite:isOnStage() call
    [studio] Allow "multi paste" when using multiple cursors
    [studio] Added compact folding option
    [studio] Added missing functions to synax highlighter (math, table, string, coroutine, os)
    [studio] gather identifiers from code for autocompletion
    [studio] Text editor update
    [studio] Set tab position to north
    [studio] Added word highlighter
    [studio] Added custom folding regions
    [studio] Preferences window updated
    [player] Support debugging through studio
    [studio] Change debugging symbol and allow looking through tables

    Fixes

    [library] Improve lua shaders
    [studio] secure type checking against race conditions
    [studio] Fixed brackests highlight style
    [studio] Fixed autoindentation outside folding region
    [player] Fix wheel coordinates
    [studio] Fix styling of c++ (glsl, hlsl)
    [build] fix prep.repo for scintilla/lexilla
    [studio] Fix outlinier being triggered too often
    [studio] Align items in preferences window
    [plugins/imgui] Fixed debug config
    [luau] pass module name to "require"d script as argument
    [core] Fix viewport projection not restored after draw
    +1 -1 (+5 / -0 )Share on Facebook
  • @hgy29 You move so fast :))

    Likes: MoKaLux, keszegh

    Coming soon
    +1 -1 (+2 / -0 )Share on Facebook
  • hgy29hgy29 Maintainer

    @hgy29 You move so fast :))

    I'd like to stabilize this new Luau-based Gideros as soon as possible, hopefully we're getting there. And half of the changes here are from @rrraptor.
    +1 -1 (+2 / -0 )Share on Facebook
  • hgy29hgy29 Maintainer
    hgy29 said:

    maybe it is just the outliner which doesn't handle a specific luau construct ? I'll check that

    It is more obvious actually, the outliner also report assigned variables (because of globals), but doesn't check for duplicates. I'll refine that when working on sub-function outline. Talking about this @keszegh, how should it be implemented ? As a tree view ?
  • keszeghkeszegh Member
    edited February 4
    hgy29 said:

    hgy29 said:

    maybe it is just the outliner which doesn't handle a specific luau construct ? I'll check that

    It is more obvious actually, the outliner also report assigned variables (because of globals), but doesn't check for duplicates. I'll refine that when working on sub-function outline. Talking about this @keszegh, how should it be implemented ? As a tree view ?
    i like the way it is in zerobrane studio:
    tree-view with all files visible, with the treenode of the current file open and all subtrees (corresponding to functions) are open by default.

    also, in zbs the outline and also the text editor is somewhat more compact, maybe text size but also line vertical spacing is smaller, all in all i find it more easy to navigate and understand than the current setup in gideros studio.

    EDIT: i've sent a screenshot in pm.
  • hgy29hgy29 Maintainer
    rrraptor said:

    @hgy29 did you forgot to recompile lexilla ?


    I am pretty sure I did it, but I will check
  • rrraptor said:

    keszegh said:

    @hgy29 , could you add the midi plugin to the wiki? at least a least of functions? in particular i don't know how to send messages. ty

    According to sources:
    number = luamidi.getoutportcount()
    number = luamidi.getinportcount()
     
    -- returns a table (array) where each key is a port number
    -- and each value is the name of that port
    table = luamidi.enumerateoutports()
    table = luamidi.enumerateinports()
     
    string = luamidi.getInPortName(portNumber)
    string = luamidi.getOutPortName(portNumber)
     
    MidiOut = luamidi.openout(portNumber)
    MidiIn = luamidi.openin(portNumber)
     
    luamidi.noteOn(portNumber, note [, vel, channel])
    luamidi.noteOff(portNumber, note, [channel])
     
    luamidi.sendMessage(portNumber, number, number, number) 
    number, number, number, delta = luamidi.getMessage(port)
     
    luamidi.base0(number)
    luamidi.base1(number)
     
    luamidi.setQueueSizeLimit(number)
     
     
    MidiOut:noteOn(note [, vel, channel])
    MidiOut:noteOff(note, [channel])
    MidiOut:sendMessage(number, number, number)
    Idk what is the numbers meaning in "sendMessage" & "getMessage" functions.
    thanks. @MoKaLux , you are the documentation expert, could you add the entries for midi plugin and these functions. i can try to fill in what they do if i get the time (i currently use some of these functions and so for those i know what they do, also i'm familiar with midi message syntax).

    Likes: MoKaLux

    +1 -1 (+1 / -0 )Share on Facebook
  • hgy29hgy29 Maintainer
    I forgot to mention that 2022.1.3 brings a new vector() global function to build vectors of 2 to 4 components. The function is also aliased to math.vector. It uses luau native vector type, but unlike luau is supports indexing as r,g,b,a, u,v, s,t,p,q and I,j,k,l. And also unlike standard luau it supports setting individual components.
    +1 -1 (+2 / -0 )Share on Facebook
  • hito9hito9 Member
    edited February 4
    rrraptor said:

    @hito9 aaah, I get it :lol:

    Yeah that's it. I didn't expect this one in 2022.1.3 but right click -> word wrap could be :).
    * We still can't open json files in Studio.
    * Indent Guide lines color should be barely visible like this

    @hgy29 I am sorry to say that but there are regressions like below from different crashes
    Unhandled exception: illegal instruction in 64-bit code (0x000000032cf05e58)

    Unhandled exception: page fault on read access to 0x0000003b00000078 in 64-bit code (0x00000002504ed050).

    Unhandled exception: assertion failed in 64-bit code (0x00007f4f1f161d22)

    EDIT:Firstly run the "3D Collision" example. Please be sure while the boxes were in constant multiple contacts(movement) and launch the "Normal Mapping" or Timers project.The Player crashes.

    Can you test LuaShaders "Windows Desktop" export on different platforms ?

    I don't think you need to rush, I always hope for your work and thank you very much :o :)

    EDIT: I am not sure, some shaders became sluggish a little bit


  • hgy29hgy29 Maintainer
    hito9 said:


    * We still can't open json files in Studio.

    Actually you can open them, but there is no default style defined.

    Thanks for the crash reports, I’ll try to reproduce and fix.
  • hgy29hgy29 Maintainer
    hito9 said:


    @hgy29 I am sorry to say that but there are regressions like below from different crashes
    Unhandled exception: illegal instruction in 64-bit code (0x000000032cf05e58)

    Crash found and fixed (caused by luau stack shortage in r3d plugin body destructor)
    +1 -1 (+3 / -0 )Share on Facebook
  • hgy29hgy29 Maintainer
    hito9 said:

    Can you test LuaShaders "Windows Desktop" export on different platforms ?

    Yes, it seems they can't be exported directly because the luashader library folder on which they depend has been upgraded, but the sample projects .gproj files doesn't reflect this and can't be saved by the studio since it is in a protected folder (program files). I'll fix that, but meanwhile one can clone the demo project before exporting, that should work.

    +1 -1 (+2 / -0 )Share on Facebook
  • hgy29hgy29 Maintainer
    hgy29 said:

    rrraptor said:

    @hgy29 did you forgot to recompile lexilla ?


    I am pretty sure I did it, but I will check
    Ok, I didn't in the end, sorry. I should add this rule to the full build script ('all' rule)
    +1 -1 (+2 / -0 )Share on Facebook
  • @hgy29 is it possible to fix this error:
    Uploading finished.
    [string "luabinding/compatibility.lua"]:79: Module FileDialog not found
    stack traceback:
    	[string "luabinding/compatibility.lua"]:79: in function require
    	main.lua:5: in function <main.lua:1>


    It happens because there is an error somewhere in "init.lua", but I cant find it :lol:
  • hgy29hgy29 Maintainer
    did you add NOEXEC on the FileDialog module files ?
  • hito9hito9 Member
    edited February 5
    hgy29 said:

    hito9 said:


    * We still can't open json files in Studio.

    Actually you can open them, but there is no default style defined.
    This issue also appeared in Linux.Build 2021.11. Do we use the same method as Lua files to open json files? As you said glsl files is ok. Can any mac user try to open json files in Studio?

    * Tiny issue, "Drag me" example opens without main.lua file. New user should link to the tree pane to run.

    * It seems that some existing themes are no longer compatible due to the new changes. What can be done about it? What does the friend who prepared the themes say about it?

    EDIT: If not possible, it's ok :) Is there a possibility to prepare Gideros separately from Templates, Extra Plugins(except desktop plugins), Themes"? I think big download size is not a good choice. Newcomer should try/choose Gideros with small download size? Afterwards, the Gideros_extensions.zip should be able to be installed with copy-paste and unzip method ?
  • keszeghkeszegh Member
    edited February 6
    i tried to compile my app for android. i've done a clean install of latest android studio before and i've set the target to v32. i have the following errors while building:
    > Task :app:generateReleaseBuildConfig
    Warning: This version only understands SDK XML versions up to 2 but an SDK XML file of version 3 was encountered. This can happen if you use versions of Android Studio and the command-line tools that were released at different times.
    Warning: unexpected element (uri:"", local:"base-extension"). Expected elements are <{}codename>,<{}layoutlib>,<{}api-level>
    > Task :app:processReleaseMainManifest FAILED
     
    See <a href="http://g.co/androidstudio/manifest-merger" rel="nofollow">http://g.co/androidstudio/manifest-merger</a> for more information about the manifest merger.
     
    C:\archives\***\tmp\app\src\main\AndroidManifest.xml Error:
    android:exported needs to be explicitly specified for . Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See <a href="https://developer.android.com/guide/topics/manifest/activity-element#exported" rel="nofollow">https://developer.android.com/guide/topics/manifest/activity-element#exported</a> for details.
    > Task :app:mergeReleaseResources
     
    Deprecated Gradle features were used in this build, making it incompatible with Gradle 8.0.
    Use '--warning-mode all' to show the individual deprecation warnings.
    See <a href="https://docs.gradle.org/7.0.2/userguide/command_line_interface.html#sec:command_line_warnings" rel="nofollow">https://docs.gradle.org/7.0.2/userguide/command_line_interface.html#sec:command_line_warnings</a>
    8 actionable tasks: 8 executed
     
    FAILURE: Build failed with an exception.
     
    * What went wrong:
    Execution failed for task ':app:processReleaseMainManifest'.
    > Manifest merger failed : android:exported needs to be explicitly specified for <activity>. Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined. See <a href="https://developer.android.com/guide/topics/manifest/activity-element#exported" rel="nofollow">https://developer.android.com/guide/topics/manifest/activity-element#exported</a> for details.
     
    * Try:
    Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output. Run with --scan to get full insights.
     
    * Get more help at <a href="https://help.gradle.org" rel="nofollow">https://help.gradle.org</a>

    can you help?
  • hgy29hgy29 Maintainer
    Hmm, by the look of the error it seems that SDK for android 12 isn’t supported by Gideros. That must be a recent release since mine is just about one month old.

    Likes: keszegh

    +1 -1 (+1 / -0 )Share on Facebook
  • @hgy29, i changed target to 31 but this in itself did not help much (the errors are approx. the same)
  • hgy29hgy29 Maintainer
    So I have upgraded my installation too and I can still build APK, but:
    - the SDK XML version 2/3 thing is now showing up, but it doesn't prevent the build
    - the :app:mergeReleaseResources task complaint is the issue in your case, and I don't have it. My guess is that it is a new thing required in some special cases only, such as a specific addition of a particular plugin. And the log makes it clear actually: "Apps targeting Android 12 and higher are required to specify an explicit value for `android:exported` when the corresponding component has an intent filter defined". I know some plugins do add intent filters, I'll have a look at what should be set in that 'exported' property.
    +1 -1 (+3 / -0 )Share on Facebook
  • @hgy29 , i use the following plugins:
    imgui, json, lua midi, luafilesystem, require, spout
  • hgy29hgy29 Maintainer
    Oops, I was wrong, it fails here if I set target sdk to 31 (Android 12) or higher. I was still targetting Android 30.
  • @hgy29 , targeting 30 indeed make the export successful. on the other hand while it starts normally it crashes when i touch a screen. then i tried to export only the player with the same plugins, but that crashes immediately, so i cannot debug for the cause of the issue.
    it would be great if https://play.google.com/store/apps/details?id=info.simart.gideros could be updated to latest version including all plugins.
  • I am sorry to tell but gideros studio crashes on me :'(
    I am working on the 3DAnimation example that comes with gideros. I adapt the code to my 3D animated model (mixamo). The animation works fine but not the textures, so I go through the code to spot where I can plug my textures and boom, gideros studio crashes.

    I only have a couple of lua files opened (2 or 3) and the files are not that long (less than 500 loc)! This happens every time I have the project opened for more than 10 mins.
    my growING GIDEROS github repositories: https://github.com/mokalux?tab=repositories
Sign In or Register to comment.